List campaign variables
curl --request GET \
--url https://api.stardex.ai/v1/campaigns/variables \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stardex.ai/v1/campaigns/variables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stardex.ai/v1/campaigns/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stardex.ai/v1/campaigns/variables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stardex.ai/v1/campaigns/variables"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stardex.ai/v1/campaigns/variables")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stardex.ai/v1/campaigns/variables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"name": "first_name",
"label": "First name",
"kind": "person",
"aliases": [
"firstname"
],
"example": "John",
"hint": null
},
{
"name": "sender_email",
"label": "Sender email",
"kind": "sender",
"aliases": [
"from_email",
"sender_email_address"
],
"example": "you@example.com",
"hint": "The mailbox you are sending from."
},
{
"name": "search_client",
"label": "Search client company",
"kind": "job",
"aliases": [
"client_name",
"company_client",
"job_company",
"client_company"
],
"example": "Globex",
"hint": "The company this search is for. Left empty when it is confidential."
},
{
"name": "personalization_line",
"label": "Personalization line",
"kind": "manual",
"aliases": [],
"example": "",
"hint": null
}
]
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Campaigns
List campaign variables
The {{variables}} campaign steps can use. person and sender values fill in automatically, job values come from the job chosen when enrolling, manual values are typed in for each enrollment. Any name not in this list also works as a manual variable. AI variables are written as {{ai:name}} and need a description in the step ai_variables. Needs campaigns:read.
GET
/
v1
/
campaigns
/
variables
List campaign variables
curl --request GET \
--url https://api.stardex.ai/v1/campaigns/variables \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stardex.ai/v1/campaigns/variables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stardex.ai/v1/campaigns/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stardex.ai/v1/campaigns/variables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stardex.ai/v1/campaigns/variables"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stardex.ai/v1/campaigns/variables")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stardex.ai/v1/campaigns/variables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"name": "first_name",
"label": "First name",
"kind": "person",
"aliases": [
"firstname"
],
"example": "John",
"hint": null
},
{
"name": "sender_email",
"label": "Sender email",
"kind": "sender",
"aliases": [
"from_email",
"sender_email_address"
],
"example": "you@example.com",
"hint": "The mailbox you are sending from."
},
{
"name": "search_client",
"label": "Search client company",
"kind": "job",
"aliases": [
"client_name",
"company_client",
"job_company",
"client_company"
],
"example": "Globex",
"hint": "The company this search is for. Left empty when it is confidential."
},
{
"name": "personalization_line",
"label": "Personalization line",
"kind": "manual",
"aliases": [],
"example": "",
"hint": null
}
]
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Was this page helpful?